---
lang: en
title: 'API docs: socketio.getnamespacekeyforname'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.getnamespacekeyforname.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [getNamespaceKeyForName](./socketio.getnamespacekeyforname.md)

## getNamespaceKeyForName() function

**Signature:**

```typescript
getNamespaceKeyForName: (name: string) => string
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string |  |

**Returns:**

string


